Debian Bug report logs - #382253
sp_cache.cc: violates C++ aliasing rules

version graph

Package: mysql-server; Maintainer for mysql-server is Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>; Source for mysql-server is src:mysql-5.5.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Wed, 9 Aug 2006 19:18:02 UTC

Severity: normal

Tags: confirmed, upstream, wontfix

Fixed in version 5.1.20

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.mysql.com/21554

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hammers <ch@debian.org>:
Bug#382253; Package mysql-dfsg-5.0. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Christian Hammers <ch@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: sp_cache.cc: violates C++ aliasing rules
Date: Wed, 9 Aug 2006 20:50:43 +0200
Package: mysql-dfsg-5.0
Version: 5.0.22-3

Compiling the archive with a pre-release of GCC 4.2, I found a
compiler bug while building mysql-dfsg-5.0.  I forwarded a testcase
based on the mysql-dfsg-5.0 code (sp_cache.cc) and while there
definitely is a compiler bug that needs to be fixed, the GCC people
also said that the mysql code is invalid, that is, that it violates
the C++ aliasing rules.

See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28544 in which a GCC
developer says, "I can trivially fix this [GCC bug], but the code
isn't going to do what you want when i'm done, since it is an aliasing
violation :)"

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#382253; Package mysql-dfsg-5.0. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 382253@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 382253@bugs.debian.org
Cc: dc <control@bugs.debian.org>
Subject: Re: Bug#382253: sp_cache.cc: violates C++ aliasing rules
Date: Wed, 9 Aug 2006 23:54:07 +0200
forwarded 382253 http://bugs.mysql.com/21554
tags 382253 + upstream confirmed
stop

Hi Martin

On 2006-08-09 Martin Michlmayr wrote:
...
> See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28544 in which a GCC
> developer says, "I can trivially fix this [GCC bug], but the code
> isn't going to do what you want when i'm done, since it is an aliasing
> violation :)"
 
Thanks, forwarded to upstream.

bye,

-christian-



Noted your statement that Bug has been forwarded to http://bugs.mysql.com/21554. Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, confirmed Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#382253; Package mysql-dfsg-5.0. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #19 received at 382253@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: Debian Bug Control <control@bugs.debian.org>, 382253@bugs.debian.org
Subject: Re: Bug#382253: sp_cache.cc: violates C++ aliasing rules
Date: Tue, 03 Oct 2006 15:31:21 +0200
tags 382253 + wontfix
stop

Hello

Upstream says in 
  http://bugs.mysql.com/bug.php?id=21554
  "...Offending atomic_t and atomic_inc are defined in
  /usr/include/asm/atomic.h. So, it is not a bug in MySQL's 
  code any more, in any case."

Don't know if they changed anything since august. I set the
bug to wontfix but leave it open until we've migrated to gcc-4.2.

bye,

-christian-




Tags added: wontfix Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package 'mysql-dfsg-5.0' to 'mysql-server'. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 15:03:12 GMT) Full text and rfc822 format available.

No longer marked as found in versions 5.0.22-3. Request was from David Prévot <taffit@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 15:03:12 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Tue, 10 Apr 2012 19:45:08 GMT) Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. (Tue, 10 Apr 2012 19:45:08 GMT) Full text and rfc822 format available.

Message #30 received at 382253-done@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 382253-done@bugs.debian.org
Subject: closing
Date: Tue, 10 Apr 2012 20:40:28 +0100
Version: 5.1.20




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 May 2012 07:40:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:33:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.